Description

| recently migrated my system (Chromebook C201) from ALARM to Parabola, using the guidelines here. | got through it, but
experienced a handful of issues along the way:

1. The Parabola armv7 pacman package seems to depend on 'archlinux-keyring' and 'archlinux32-keyring'; however, the
instructions do not say to install either of these before upgrading to the Parabola pacman. So, | had to switch the mirrors back to
ALARM again, so | could install these. It seems strange that the Parabola version of pacman should depend on these, when the
ALARM version doesn't.

2. Before running 'pacman -Suu', pacman -Sy should be run first, after updating pacman.conf, as the database needs to be
updated.

History

#1 - 2019-02-02 04:58 AM - bill-auger
- Subject changed from Issues migrating from ALARM to Parabola to Issues with arch-arm migration guide
- Project changed from Packages to Documentation

- Tracker changed from Bug to Housekeeping

Time4Tea wrote:

Perhaps it would be better to break these out into separate issues?

it would - # 3 and # 4 could be bugs - i think the first two are probably just documentation issues, so they could stay together in this issue

#2 - 2019-02-02 05:02 AM - bill-auger

- Description updated

#3 - 2019-02-02 12:02 PM - Time4Tea

Ok, | have broken out # 3 and # 4 into separate issues.

I'l be happy to help update the wiki page for # 1 and # 2, if that's all that needs to be done? (assuming | can)
#4 - 2019-02-02 12:17 PM - bill-auger

yes those instructions you suggested look correct - yes anyone can edit the wiki - and yes please do

AFAIK we install all 4 keyrings on all archs now

archlinux-keyring

archlinux32-keyring

archlinuxarm-keyring
parabola-keyring

#5 - 2019-02-02 12:20 PM - bill-auger

- Description updated

#6 - 2019-02-03 12:35 PM - bill-auger
- Assignee set to bill-auger

- Status changed from open to fixed
